Subject: Re: Performance regression on kernels 3.10 and newer

From: Alexander Duyck <[email-masked]>
Date: Fri, 15 Aug 2014 12:10:29 -0700

On 08/15/2014 11:49 AM, Tom Herbert wrote:
> Alex, I tried to repro your problem running your script (on bnx2x).
> Didn't see see the issue and in fact ip_dest_check did not appear in
> top perf functions on perf. I assume this is more related to the
> steering configuration rather than the device (although flow director
> might be a fundamental difference).
> 

So the original script I put out had a typo.  It was supposed to run all
60 at the same time, not one at a time.  So make sure you add an
ampersand to the end of the netperf command line if you run the test so
that it is 60 at once, not 60 in series.

Also one other thing I had to do was disable tcp_autocork.  Without that
the test is a large packets test instead of a small packet test.

Thanks,

Alex